package domain

type AlibabaHmMarketingItempoolItemRemoveAsyncCommonActivityParam struct {
	/*
	   商家外部活动Id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingItempoolItemRemoveAsyncCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItempoolItemRemoveAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemRemoveAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItempoolItemRemoveAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
